using System;

namespace NKC_WF
{
    public partial class PartValidation : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            cmp_validationSummary.eh_doRefresh += Cmp_validationSummary_eh_doRefresh;
            cmp_batchList.eh_doReset += Cmp_batchList_eh_doReset;
        }

        private void Cmp_batchList_eh_doReset(object sender, EventArgs e)
        {
            cmp_validationSummary.doUpdate(false);
        }

        private void Cmp_validationSummary_eh_doRefresh(object sender, EventArgs e)
        {
            cmp_batchList.doUpdate();
        }
    }
}